Name: 		qemu
Version: 	0.6.1
Release: 	1
Summary: 	QEMU is a fast processor emulator using dynamic translation to achieve good emulation speed
Group: 		Applications
License: 	GPL
URL: 		http://fabrice.bellard.free.fr/qemu/
Source0: 	http://fabrice.bellard.free.fr/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}.diff
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
QEMU is a fast processor emulator. It has two operating modes:

* Full system emulation. In this mode, QEMU emulates a full system (for example
a PC), including a processor and various peripherials. It can be used to launch
different Operating Systems without rebooting the PC or to debug system code.
* User mode emulation (Linux host only). In this mode, QEMU can launch Linux
processes compiled for one CPU on another CPU. It can be used to launch the Wine
Windows API emulator (http://www.winehq.org) or to ease cross-compilation and
cross-debugging. 

As QEMU requires no host kernel driver to run, it is very safe and easy to use.

For system emulation, the following hardware targets are supported:
* PC (x86 processor)

For user emulation, x86.

%prep
%setup -q
%patch0 -p0

%build
rm -rf %{buildroot}
./configure \
    --prefix=%{_prefix} \
    --target-list="i386-user i386 i386-softmmu" \
    --enable-slirp
make

%install
make prefix=%{buildroot}%{_prefix} \
     sharedir=%{buildroot}%{_datadir}/qemu \
     docdir=%{buildroot}%{_docdir}/%{name}-%{version} \
     mandir=%{buildroot}%{_mandir} \
     bindir=%{buildroot}%{_bindir} \
     datadir=%{buildroot}%{_datadir}/%{name} \
     install

# Install documentation only in one place
install -m 0644 %{_builddir}/%{name}-%{version}/{COPYING,COPYING.LIB,Changelog,TODO,VERSION} \
	%{buildroot}%{_docdir}/%{name}-%{version}
install -m 0644 %{_builddir}/%{name}-%{version}/linux-2.6-qemu-fast.patch \
	%{buildroot}%{_docdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Applications/qemu
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Applications/qemu

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_docdir}/%{name}-%{version}
%{_datadir}
%{_mandir}
%{_bindir}
